Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#60646 - [gimp] Crash reproducible when using Filters>Edge Detect>Edge>Border behavior>Loop

Attached to Project: Arch Linux
Opened by Mark Andrew Gerads (nazgand) - Tuesday, 30 October 2018, 10:29 GMT
Last edited by Doug Newgard (Scimmia) - Sunday, 04 November 2018, 23:08 GMT
Task Type Bug Report
Category Packages: Extra
Status Assigned
Assigned To Christian Hesse (eworm)
Levente Polyak (anthraxx)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

```
GNU Image Manipulation Program version 2.10.6
git-describe: GIMP_2_10_4-278-g0a8173ffde
C compiler:
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/lto-wrapper
Target: x86_64-pc-linux-gnu
Configured with: /build/gcc/src/gcc/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --enable-libmpx --with-system-zlib --with-isl --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch --disable-libssp --enable-gnu-unique-object --enable-linker-build-id --enable-lto --enable-plugin --enable-install-libiberty --with-linker-hash-style=gnu --enable-gnu-indirect-function --enable-multilib --disable-werror --enable-checking=release --enable-default-pie --enable-default-ssp --enable-cet=auto
Thread model: posix
gcc version 8.2.1 20180831 (GCC)

using GEGL version 0.4.8 (compiled against version 0.4.8)
using GLib version 2.56.1 (compiled against version 2.58.0)
using GdkPixbuf version 2.36.12 (compiled against version 2.38.0)
using GTK+ version 2.24.32 (compiled against version 2.24.32)
using Pango version 1.42.3 (compiled against version 1.42.3)
using Fontconfig version 2.13.0 (compiled against version 2.13.0)
using Cairo version 1.15.12 (compiled against version 1.15.12)

```
> fatal error: Segmentation fault

Stack trace:
```
/usr/lib/libgimpbase-2.0.so.0(gimp_stack_trace_print+0x3b8)[0x7fdd8a279ef8]
gimp-2.10(+0xc53e0)[0x560620f7c3e0]
gimp-2.10(+0xc5838)[0x560620f7c838]
gimp-2.10(+0xc5fa9)[0x560620f7cfa9]
/usr/lib/libpthread.so.0(+0x123c0)[0x7fdd87c093c0]
/usr/lib/babl-0.1/sse4-int8.so(+0x12e0)[0x7fdd8291d2e0]
/usr/lib/libbabl-0.1.so.0(babl_process_rows+0xdd)[0x7fdd88bb73fd]
/usr/lib/libgegl-0.4.so.0(+0x3d4ee)[0x7fdd890764ee]
/usr/lib/libgegl-0.4.so.0(+0x3e5bb)[0x7fdd890775bb]
/usr/lib/libgegl-0.4.so.0(+0x3fac5)[0x7fdd89078ac5]
/usr/lib/gegl-0.4/gegl-common-gpl3.so(+0x18cfc)[0x7fdd7fbf9cfc]
/usr/lib/libgegl-0.4.so.0(+0x63e1d)[0x7fdd8909ce1d]
/usr/lib/libgegl-0.4.so.0(+0x641ab)[0x7fdd8909d1ab]
/usr/lib/libgegl-0.4.so.0(gegl_graph_process+0x101)[0x7fdd890a9b61]
/usr/lib/libgegl-0.4.so.0(gegl_eval_manager_apply+0xdc)[0x7fdd890a908c]
/usr/lib/libgegl-0.4.so.0(gegl_node_blit_buffer+0x5b)[0x7fdd890a3dcb]
gimp-2.10(+0x452071)[0x560621309071]
gimp-2.10(+0x4520d0)[0x5606213090d0]
gimp-2.10(+0x452334)[0x560621309334]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x156)[0x7fdd87de91d6]
/usr/lib/libglib-2.0.so.0(+0x4c5b1)[0x7fdd87de95b1]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0xd2)[0x7fdd87de98e2]
gimp-2.10(app_run+0x36f)[0x560620f7bbbf]
gimp-2.10(main+0x3b1)[0x560620f7b471]
/usr/lib/libc.so.6(__libc_start_main+0xf3)[0x7fdd87a57223]
gimp-2.10(_start+0x2e)[0x560620f7b60e]

```
This task depends upon

Comment by Stefan Schick (pommes_) - Monday, 12 August 2019, 21:40 GMT
I tested with current Gimp Version (>=2.10.12) and wasn't able to reproduce.
Does this crash still occur on your machine with the current Gimp Version (>=2.10.12) in the repositories?

Loading...